rand('seed', getdate('s'))
rand('uniform')

function y=simul_uniforme(n)
  y=1+floor(n*rand());
endfunction

n=10;       // choix du paramètre
S=1:n;      // vecteur des valeurs possibles pour X
N=10^5;     // nombre de simulations

X=zeros(1,N);   // initialisation du vecteur des résultats
for k=1:N
  X(k)=simul_uniforme(n);
end
[I,y_stat]=dsearch(X,S,'d');  // distribution statistique observée
y_stat=y_stat/N;

y_th=ones(1,n)/n;     // distribution théorique attendue

clf;
subplot(121)
    bar(S,y_stat);
subplot(122)
    bar(S,y_th);
